OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDF

# TDF_DefaultDeltaOnModification Class Reference

This class provides a default implementation of a
TDF_DeltaOnModification.
.

`#include <TDF_DefaultDeltaOnModification.hxx>`

Inheritance diagram for TDF_DefaultDeltaOnModification:

[legend]

## Public Member Functions
Standard_EXPORT | TDF_DefaultDeltaOnModification (const Handle(TDF_Attribute)&anAttribute)
| Creates a TDF_DefaultDeltaOnModification. <anattribute> must be the backup copy. .
virtual Standard_EXPORT void | Apply ()
| Applies the delta to the attribute. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT TDF_DefaultDeltaOnModification::TDF_DefaultDeltaOnModification | ( | const Handle(TDF_Attribute)& | anAttribute | ) |

## Member Function Documentation

virtual Standard_EXPORT void TDF_DefaultDeltaOnModification::Apply | ( |  | ) | `[virtual]`

| Reimplemented from TDF_DeltaOnModification.

Standard_EXPORT const TDF_DefaultDeltaOnModification::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_DeltaOnModification.

The documentation for this class was generated from the following file:

- TDF_DefaultDeltaOnModification.hxx